On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the agreement for which to set a balance.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.paypal.com/v1/payments/billing-agreements/string/set-balance" \ -H "Content-Type: application/json" \ -d '{ "value": "100", "currency": "USD" }'{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The currency value. Might be an integer for currencies like JPY that are not typically fractional or a three-place decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency codes - ISO 4217.
^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$length <= 32